=head1 NAME

GStreamer::Event::Seek

=cut


=head1 METHODS

=head2 GstEvent = GStreamer::Event::Seek-E<gt>B<new> ($rate, $format, $flags, $cur_type, $cur, $stop_type, $stop)

=over

=item * $rate (double) 

=item * $format (GStreamer::Format) 

=item * $flags (GStreamer::SeekFlags) 

=item * $cur_type (GStreamer::SeekType) 

=item * $cur (64 bit integer) 

=item * $stop_type (GStreamer::SeekType) 

=item * $stop (64 bit integer) 

=back

=head2 scalar = $event-E<gt>B<cur> 

=head2 scalar = $event-E<gt>B<cur_type> 

=head2 scalar = $event-E<gt>B<flags> 

=head2 scalar = $event-E<gt>B<format> 

=head2 scalar = $event-E<gt>B<rate> 

=head2 scalar = $event-E<gt>B<stop> 

=head2 scalar = $event-E<gt>B<stop_type> 



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::Format

=over

=item * 'undefined' / 'GST_FORMAT_UNDEFINED'

=item * 'default' / 'GST_FORMAT_DEFAULT'

=item * 'bytes' / 'GST_FORMAT_BYTES'

=item * 'time' / 'GST_FORMAT_TIME'

=item * 'buffers' / 'GST_FORMAT_BUFFERS'

=item * 'percent' / 'GST_FORMAT_PERCENT'

=back


=head2 flags GStreamer::SeekFlags

=over

=item * 'none' / 'GST_SEEK_FLAG_NONE'

=item * 'flush' / 'GST_SEEK_FLAG_FLUSH'

=item * 'accurate' / 'GST_SEEK_FLAG_ACCURATE'

=item * 'key-unit' / 'GST_SEEK_FLAG_KEY_UNIT'

=item * 'segment' / 'GST_SEEK_FLAG_SEGMENT'

=item * 'skip' / 'GST_SEEK_FLAG_SKIP'

=back


=head2 enum GStreamer::SeekType

=over

=item * 'none' / 'GST_SEEK_TYPE_NONE'

=item * 'cur' / 'GST_SEEK_TYPE_CUR'

=item * 'set' / 'GST_SEEK_TYPE_SET'

=item * 'end' / 'GST_SEEK_TYPE_END'

=back




=cut


=head1 SEE ALSO

L<GStreamer>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

